/***************************************************************************
                          shiftimagetool.h  -  description
                             -------------------
    begin                : Sun Jun 15 2003
    copyright            : (C) 2003-2011 Arahne, d.o.o.
    email                : arahne@arahne.si
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef SHIFTIMAGETOOL_H
#define SHIFTIMAGETOOL_H

#include <toolbase.h>
#include "apaintdoc.h"

enum ShiftType{HorShift, VertShift};  

class DrawInRepeat;
    
class ShiftImageTool : public ToolBase  {
  Q_OBJECT
public: 
	ShiftImageTool(DrawInRepeat *drawp, ToolType type, ApaintDoc *docp, ShiftType typ, PropObject *propObj);
	~ShiftImageTool();

  virtual void mousePressed(QMouseEvent *e, QPainter *pc, QPainter *pi);
  virtual void mouseMoved(QMouseEvent *e, QPainter *pc, QPainter *pi);
  
private:

  ShiftType ltyp;
  ApaintDoc *doc;
  DrawInRepeat *draw;    
};

#endif
